#!/bin/bash
#
# 執行之前請記得更改subdomain與subdomain2兩個變數為正確的免費次網域名稱

subdomain='dig.tw'
subdomain2='rsonline.org'

# 建立暫存檔案
echo '' > /tmp/size.txt
echo '' > /tmp/account.txt

# 找出目前只有使用一個網域帳號，排除免費次網域
for account in `cat /etc/userdomains | grep -v $subdomain | grep -v $subdomain2 | awk '{print $2}' | sort | uniq -c | sort -nr | grep ' 1 ' | awk '{print $2}' | sort`
do
 # 將這些帳號目前空間使用資訊輸出至暫存檔案
 whmapi1 get_disk_usage | grep $account -B3 | head -n 1 | awk '{print $2}' >> /tmp/size.txt
done

# 顯示使用一個網域帳號總數量
echo ''
echo '使用一個網域帳號總數量: '`cat /tmp/size.txt | wc -l`
echo ''
echo '以下為篩選出使用WP的帳號'
echo ''

for size in `cat /tmp/size.txt | sort -n`
do
 User=`whmapi1 get_disk_usage | grep 'blocks_used\|user' | grep $size -A1 | sed 's/^[ \t]*//g' | grep -v blocks_used | awk '{print $2}'`
 M=`expr $size / 1024`
 G=`expr $size / 1024 / 1000`

 result=$(find /home/$User -name wp-config.php)

 if [ -n "$result" ]; then
   #echo '帳號 : '$User' ( 空間使用 '$M'M )'
   echo $User
   echo $User >> /tmp/account.txt
 fi

 #echo '帳號 : '$User' ( 空間使用 '$M'M )'

done

echo ''
echo '建議可轉移至新環境虛擬主機帳號數量為: '`cat /tmp/account.txt | wc -l`
echo ''
echo '篩選條件: 忽略免費子網域、帳號網域使用數量只有一個、有使用WP'
echo ''

# 刪除暫存檔案
rm -f /tmp/size.txt
rm -f /tmp/account.txt

